module(...)
--auto generate data
FUBEN={
	[1]={
		equip={[1]=1,[2]=6,[3]=23,[4]=32,[5]=41,},
		equip_ratio={
			[1]={equip=1,ratio=20,},
			[2]={equip=6,ratio=20,},
			[3]={equip=23,ratio=20,},
			[4]={equip=32,ratio=20,},
			[5]={equip=41,ratio=20,},
		},
		floor=1000,
		floor_cnt=10,
		id=1,
		name=[[Elastic Heart]],
		open_date={[1]=1,[2]=6,[3]=7,},
		part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		reward_equip_ratio={
			[1]={equip=1,ratio=20,},
			[2]={equip=6,ratio=20,},
			[3]={equip=23,ratio=20,},
			[4]={equip=32,ratio=20,},
			[5]={equip=41,ratio=20,},
		},
		reward_part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		select_cost=10,
	},
	[2]={
		equip={[1]=2,[2]=8,[3]=24,[4]=33,[5]=42,},
		equip_ratio={
			[1]={equip=2,ratio=20,},
			[2]={equip=8,ratio=20,},
			[3]={equip=24,ratio=20,},
			[4]={equip=33,ratio=20,},
			[5]={equip=42,ratio=20,},
		},
		floor=2000,
		floor_cnt=10,
		id=2,
		name=[[Rage Blade]],
		open_date={[1]=2,[2]=6,[3]=7,},
		part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		reward_equip_ratio={
			[1]={equip=2,ratio=20,},
			[2]={equip=8,ratio=20,},
			[3]={equip=24,ratio=20,},
			[4]={equip=33,ratio=20,},
			[5]={equip=42,ratio=20,},
		},
		reward_part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		select_cost=10,
	},
	[3]={
		equip={[1]=3,[2]=9,[3]=25,[4]=34,[5]=43,},
		equip_ratio={
			[1]={equip=3,ratio=20,},
			[2]={equip=9,ratio=20,},
			[3]={equip=25,ratio=20,},
			[4]={equip=34,ratio=20,},
			[5]={equip=43,ratio=20,},
		},
		floor=3000,
		floor_cnt=10,
		id=3,
		name=[[Wings of Liberty]],
		open_date={[1]=3,[2]=6,[3]=7,},
		part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		reward_equip_ratio={
			[1]={equip=3,ratio=20,},
			[2]={equip=9,ratio=20,},
			[3]={equip=25,ratio=20,},
			[4]={equip=34,ratio=20,},
			[5]={equip=43,ratio=20,},
		},
		reward_part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		select_cost=10,
	},
	[4]={
		equip={[1]=4,[2]=10,[3]=26,[4]=35,[5]=45,},
		equip_ratio={
			[1]={equip=4,ratio=20,},
			[2]={equip=10,ratio=20,},
			[3]={equip=26,ratio=20,},
			[4]={equip=35,ratio=20,},
			[5]={equip=45,ratio=20,},
		},
		floor=4000,
		floor_cnt=10,
		id=4,
		name=[[The source of disaster]],
		open_date={[1]=4,[2]=6,[3]=7,},
		part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		reward_equip_ratio={
			[1]={equip=4,ratio=20,},
			[2]={equip=10,ratio=20,},
			[3]={equip=26,ratio=20,},
			[4]={equip=35,ratio=20,},
			[5]={equip=45,ratio=20,},
		},
		reward_part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		select_cost=10,
	},
	[5]={
		equip={[1]=5,[2]=22,[3]=31,[4]=36,[5]=46,},
		equip_ratio={
			[1]={equip=5,ratio=20,},
			[2]={equip=22,ratio=20,},
			[3]={equip=31,ratio=20,},
			[4]={equip=36,ratio=20,},
			[5]={equip=46,ratio=20,},
		},
		floor=5000,
		floor_cnt=10,
		id=5,
		name=[[Light of life]],
		open_date={[1]=5,[2]=6,[3]=7,},
		part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		reward_equip_ratio={
			[1]={equip=5,ratio=20,},
			[2]={equip=22,ratio=20,},
			[3]={equip=31,ratio=20,},
			[4]={equip=36,ratio=20,},
			[5]={equip=46,ratio=20,},
		},
		reward_part_ratio={
			[1]={part=1,ratio=10,},
			[2]={part=2,ratio=10,},
			[3]={part=3,ratio=10,},
			[4]={part=4,ratio=7,},
			[5]={part=5,ratio=7,},
			[6]={part=6,ratio=7,},
			[7]={part=7,ratio=7,},
			[8]={part=8,ratio=7,},
			[9]={part=9,ratio=7,},
			[10]={part=10,ratio=7,},
			[11]={part=11,ratio=7,},
			[12]={part=12,ratio=7,},
			[13]={part=13,ratio=7,},
		},
		select_cost=10,
	},
}

COST={
	[1]={cost=40,num=1,},
	[2]={cost=60,num=2,},
	[3]={cost=80,num=3,},
	[4]={cost=100,num=4,},
	[5]={cost=120,num=5,},
}
